org.aspectj.internal.lang.reflect

## Class DeclareParentsImpl

- java.lang.Object
- - org.aspectj.internal.lang.reflect.DeclareParentsImpl

All Implemented Interfaces:
  DeclareParents

    public class DeclareParentsImpl
    extends Object
    implements DeclareParents

Author:
  colyer

### Constructor Summary

Constructors
Constructor and Description
`DeclareParentsImpl(String targets, String parentsAsString, boolean isExtends, AjType<?> declaring)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AjType` `getDeclaringType()`
`Type[]` `getParentTypes()`
`TypePattern` `getTargetTypesPattern()`
`boolean` `isExtends()`
`boolean` `isImplements()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DeclareParentsImpl

    public DeclareParentsImpl(String targets,
                              String parentsAsString,
                              boolean isExtends,
                              AjType<?> declaring)

### Method Detail

#### getDeclaringType

    public AjType getDeclaringType()

Specified by:
  `getDeclaringType` in interface `DeclareParents`
Returns:
  the declaring aspect

#### getTargetTypesPattern

    public TypePattern getTargetTypesPattern()

Specified by:
  `getTargetTypesPattern` in interface `DeclareParents`
Returns:
  the target type pattern

#### isExtends

    public boolean isExtends()

Specified by:
  `isExtends` in interface `DeclareParents`
Returns:
  true if this is a declare parents...extends member declaration

#### isImplements

    public boolean isImplements()

Specified by:
  `isImplements` in interface `DeclareParents`
Returns:
  true if this is a declare parents...implements member declaration

#### getParentTypes

    public Type[] getParentTypes()
                          throws ClassNotFoundException

Specified by:
  `getParentTypes` in interface `DeclareParents`
Returns:
  the set of types that the types matching getTargetTypesPattern are declared to implement or extend
Throws:
  `ClassNotFoundException` - if any types cannot be found

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`